Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

added highline gem

  • Loading branch information...
commit a03ec8326bbfe9d115cceb2f1487daf9d2278ee9 1 parent 3dcdd21
@jedi4ever authored
Showing with 19 additions and 10 deletions.
  1. +1 −0  .gitignore
  2. +1 −0  Gemfile
  3. +3 −0  Gemfile.lock
  4. +13 −10 README
  5. +1 −0  veewee.gemspec
View
1  .gitignore
@@ -4,3 +4,4 @@ iso/*
tmp/*
definitions/*
boxes/*
+pkg/*
View
1  Gemfile
@@ -7,3 +7,4 @@ gem 'virtualbox'
gem 'popen4'
gem 'vagrant'
gem 'thor'
+gem 'highline'
View
3  Gemfile.lock
@@ -2,6 +2,7 @@ PATH
remote: .
specs:
veewee (0.1.0)
+ highline (~> 1.6.1)
net-ssh (~> 2.1.0)
popen4 (~> 0.1.2)
thor (~> 0.14.6)
@@ -17,6 +18,7 @@ GEM
abstract (>= 1.0.0)
ffi (0.6.3)
rake (>= 0.8.7)
+ highline (1.6.1)
i18n (0.5.0)
json (1.4.6)
mario (0.0.6)
@@ -46,6 +48,7 @@ PLATFORMS
ruby
DEPENDENCIES
+ highline
net-ssh
popen4
thor
View
23 README
@@ -11,25 +11,28 @@ Veewee tries to automate this and to share the knowledge and sources you need to
Before we can actually build the boxes, we need to take care of the minimal things to install:
- Currently this is still a very much 'it works on my machine only' code
-- Have Virtualbox 3.2.x installed -> download it from http://download.virtualbox.org/virtualbox/
+- Have Virtualbox 4.x installed -> download it from http://download.virtualbox.org/virtualbox/
- Have ruby and rubygems working
- Have the rake gem installed -> gem install rake
ALPHA CODE: -> you're on your own....
-Installation:
-=============
-0) To sandbox everything, and avoid root acces , source the veewee.ENV file .
- This will set your VBOX_HOME_DIR=$VEEWEE/tmp, GEM_PATH=$VEEWEE/gems, GEM_HOME=$VEEWEE/gems
+### WILL UPDATE SOON ####
+
+
+1)Installation: (from source)
+===========================
$ git clone https://github.com/jedi4ever/veewee.git
$ cd veewee
-$ . veewee.ENV
+$ gem install bundler
+$ bundle install
-1) Install all the necessary gems (sandboxes in $VEEWEE/gems)
-$ gem install rake vagrant popen4 bundler
--> vagrant installs virtualbox,net-ssh, net-scp too
+Installation: (as a gem)
+========================
+coming soon
-2) List all templates
+List all templates
+===================
$ rake templates
the following templates are available:
use rake define['<boxname>','CentOS-4.8-i386']
View
1  veewee.gemspec
@@ -18,6 +18,7 @@ Gem::Specification.new do |s|
s.add_dependency "net-ssh", "~> 2.1.0"
s.add_dependency "popen4", "~> 0.1.2"
s.add_dependency "thor", "~> 0.14.6"
+ s.add_dependency "highline", "~> 1.6.1"
s.files = `git ls-files`.split("\n")
s.executables = `git ls-files`.split("\n").map{|f| f =~ /^bin\/(.*)/ ? $1 : nil}.compact

0 comments on commit a03ec83

Please sign in to comment.
Something went wrong with that request. Please try again.